Frank Thorne on Fri, 10 Feb 2012 17:33:36 +0100

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Installation issue with GMP 5.0.2

Hello all, I am trying to install PARI/GP with GMP (so I can use Karim Belabas's cubic package) -- so far without success.

I am running Mac OS Version 10.5.8. I just freshly installed GMP version 5.0.2 using MacPorts and "sudo port install gmp" and it seems to have installed fine.

I next tried to reinstall Pari/GP 2.5.1 (make clean and then ./Configure). The following is from the output:

...Found libgmp in /usr/local/lib
...Found gmp header in /opt/local/include
### Your version of GMP is too old for PARI. Please upgrade
### Building without GNU MP support

I looked at /opt/local/include/gmp.h and verified that it specifies Version 5.0.2.

Is this version really to old for PARI? This seems implausible, as the latest version is only 5.0.4.

However, I also tried uninstalling 5.0.2 using MacPorts, and installing GMP 5.0.4 manually. When I did this I got the following error (on "make install"):

ld: duplicate symbol ___gmpz_abs in .libs/compat.o and .libs/assert.o
collect2: ld returned 1 exit status
make[2]: *** [] Error 1
make[1]: *** [install-recursive] Error 1
make: *** [install] Error 2

I tried first using the command

C=gcc-4.2 CXX=g++4.2 ./configure

as suggested here

however that produced the different error (on typing the command above in).

configure: error: in `/Users/frankthorne/Downloads/gmp-5.0.4':
configure: error: C++ preprocessor "/lib/cpp" fails sanity check
See `config.log' for more details.

A request for help to the gmplib was not as helpful as I was hoping (some people suggested I upgrade my OS; this seems like a hassle but if people think it will help I would be happy to try it).

Does anyone understand what produces any of these errors, and can anyone recommend a way to install PARI/GP with GMP? I should mention that I know basically nothing about C development or Unix/Linux administration, have tried everything I could find, and am basically at my wit's end.


Frank Thorne